com.brightcove.ssai.timeline.ticker

## Interface Ticker

-     public interface Ticker

  The timeline ticker is responsible to update the last and the current playhead position of the underlying video player, to its `TickerObserver` observers.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `Ticker.Position` Describes the positions where the Ticker can start.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `registerObserver(TickerObserver tickerObserver)` Registers an observer.
    `void` | `reset()` Resets the ticker.
    `default void` | `start(long position)` Starts the ticker with the specified position value.
    `void` | `start(Ticker.Position position)` Starts the ticker with the specified `Ticker.Position` type.
    `void` | `stop()` Stops the ticker.
    `void` | `tick()` Updates the observers with the playhead position.
    `void` | `unregisterObserver(TickerObserver tickerObserver)` Unregisters an observer.

- - ### Method Detail

    - #### start

          void start(@NonNull
                     Ticker.Position position)

      Starts the ticker with the specified `Ticker.Position` type.

    - #### start

          default void start(long position)

      Starts the ticker with the specified position value.
      Parameters:
        `position` - the absolute position to start the ticker.

    - #### stop

          void stop()

      Stops the ticker.

    - #### reset

          void reset()

      Resets the ticker.

    - #### tick

          void tick()

      Updates the observers with the playhead position.

    - #### registerObserver

          void registerObserver(TickerObserver tickerObserver)

      Registers an observer.
      Parameters:
        `tickerObserver` - the ticker observer

    - #### unregisterObserver

          void unregisterObserver(TickerObserver tickerObserver)

      Unregisters an observer.
      Parameters:
        `tickerObserver` - the ticker observer